<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.elephant.framework.galaxy.aroad.module.zhjc.mapper.ZhjcXmjcZtxmWqMapper">

  <resultMap id="zhjcXmjcZtxmWqMap" type="com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcXmjcZtxmWq">
        <id property="id" column="id"/>
        <result property="year" column="year"/>
        <result property="city" column="city"/>
        <result property="qlmc" column="qlmc"/>
        <result property="qldm" column="qldm"/>
        <result property="zxzh" column="zxzh"/>
        <result property="lxbm" column="lxbm"/>
        <result property="lxmc" column="lxmc"/>
        <result property="jsdj" column="jsdj"/>
        <result property="qlqc" column="qlqc"/>
        <result property="qlqk" column="qlqk"/>
        <result property="kjfllx" column="kjfllx"/>
        <result property="xjnd" column="xjnd"/>
        <result property="gydw" column="gydw"/>
        <result property="sfxz" column="sfxz"/>
        <result property="pddj" column="pddj"/>
        <result property="gznd" column="gznd"/>
        <result property="gzcs" column="gzcs"/>
  </resultMap>

      <select id="getList" resultMap="zhjcXmjcZtxmWqMap">
            select wq.*,shape.shape
            from t_zhjc_xmjc_ztxm_wq wq
            LEFT JOIN
            t_zhjc_xmjc_ztxm_wq_shape shape
            on
            wq.qldm =shape.qldm
            <where>
                  <if test="wr.year !=null">
                        wq.year  =#{wr.year}
                  </if>
            </where>
      </select>
</mapper>
